Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env
Class SimpleErrorReporter

    java.lang.Object
      org.apache.commons.scxml.env.SimpleErrorReporter

All Implemented Interfaces:
  ErrorReporter, Serializable

public class SimpleErrorReporter
extends Object
implements ErrorReporter, Serializable

Custom error reporter that log execution errors.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.commons.scxml.ErrorReporter
`EXPRESSION_ERROR, ILLEGAL_CONFIG, ILLEGAL_INITIAL, NO_INITIAL, NON_DETERMINISTIC, UNDEFINED_VARIABLE, UNKNOWN_ACTION`

Constructor Summary
`SimpleErrorReporter()` Constructor.

Method Summary
`void` | `onError(String errorCode, String errDetail, Object errCtx)` Handler for reporting an error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleErrorReporter

    public SimpleErrorReporter()

  Constructor.

Method Detail

### onError

    public void onError(String errorCode,
                        String errDetail,
                        Object errCtx)

  Description copied from interface: `ErrorReporter`
  Handler for reporting an error.

  Specified by:
    `onError` in interface `ErrorReporter`
  Parameters:
    `errorCode` - one of the ErrorReporter's constants
    `errDetail` - human readable description
    `errCtx` - typically an SCXML element which caused an error, may be accompanied by additional information
  See Also:
    `ErrorReporter.onError(String, String, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.